org.richfaces.event

## Class DataTablePreRenderListener

- java.lang.Object
- - org.richfaces.event.DataTablePreRenderListener

- All Implemented Interfaces:
    EventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener

      public class DataTablePreRenderListener
      extends Object
      implements javax.faces.event.SystemEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTablePreRenderListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isListenerForSource(Object source)`
    `AbstractDataScroller` | `processActiveDatascroller(javax.faces.context.FacesContext facesContext, List<AbstractDataScroller> dataScrollers, javax.faces.component.UIComponent dataTable)`
    `void` | `processEvent(javax.faces.event.SystemEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTablePreRenderListener

          public DataTablePreRenderListener()

  - ### Method Detail

    - #### isListenerForSource

          public boolean isListenerForSource(Object source)

      Specified by:
        `isListenerForSource` in interface `javax.faces.event.SystemEventListener`

    - #### processActiveDatascroller

          public AbstractDataScroller processActiveDatascroller(javax.faces.context.FacesContext facesContext,
                                                                List<AbstractDataScroller> dataScrollers,
                                                                javax.faces.component.UIComponent dataTable)

    - #### processEvent

          public void processEvent(javax.faces.event.SystemEvent event)
                            throws javax.faces.event.AbortProcessingException

      Specified by:
        `processEvent` in interface `javax.faces.event.SystemEventListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.